(function($) {
	
	"use strict";

	jQuery(document).ready(function($) {
		
        var currentSongIndex = 10000;
			
		//global function
		window.callCountViews = function(id, current){
            
            if (currentSongIndex == current) {
               return;
            }
            currentSongIndex = current;
			
			var containerDap = "#disk-player-container_" + id;
			var containderID = id;
			
			var containerSel = $(containerDap + ' .dap-playlist li');
			var songIndice = 0;
			var songTitle = "";
			setTimeout( function() {
				containerSel.each(function(index, element) {

					if ( element.className == "dap-playlist-current" ) {
						songIndice = index;
						songTitle = $( this ).find('span.dap-title').text();
					}

				});

				////alert(containderID + " - " + songIndice + " - " + songTitle);
				//envia pro servidor os dados
				sendAction(containderID, songIndice, songTitle);
				
			}, 1000);//setTimeout

		}//window.callCountViews

		
		function sendAction(player_id, song_indice, song_title) {

			var data = {
				'action': 'action_count_songs',
				'player_id': player_id,
				'song_indice': song_indice,
				'song_title': song_title
			};
			// envia pro servidor e recebe resposta. Talvez seja util usar a resposta.
			jQuery.post(ajax_object.ajax_url, data, function(response) {
			});	
		}//sendAction

	});//ready

})(jQuery);