<?php

//download file

function download_file ($file) {
	
	$file = str_replace(" ", "%20", $file);
	
	//-------------------
	$file_found = false;

	//First, see if the file exists
	if (!@fopen($file, "r")) {
		//die ('<b>404 File not found!</b>');
		$file_found = false;
	} else {
	   $file_found = true;
	}
	
	if (!$file_found) {
	   if (file_exists($file)) {
	       $file_found = true;
	   } else {
	       die('<b>404 File not found. Please contact the server admin.</b>') ;
	   }
	}
	
	
	//-------------------
	


	$filename = basename ($file) ;
	$file_extension = strtolower (substr (strrchr ($filename, '.'), 1)) ;

	switch ($file_extension) {
	case 'kmz':
	case 'kml':
		header ('Last-Modified: ' . gmdate ('D, d M Y H:i:s \G\M\T', $file_modified));
		header ('Content-Type: audio/mpeg') ;
		break ;

	default:
		//Begin writing headers
		header ('Pragma: public') ;
		header ('Expires: 0') ;
		header ('Cache-Control: must-revalidate, post-check=0, pre-check=0') ;
		header ('Cache-Control: public') ;
		header ('Content-Description: File Transfer') ;

		//Use the switch-generated Content-Type
		header ('Content-Type: audio/mpeg') ;

		//Force the download - set the headers
		header ('Content-Disposition: attachment; filename=' . $filename . ';') ;
		header ('Content-Transfer-Encoding: binary') ;
	}

	//Now read the file and exit
	@readfile ($file) ;
	exit ;
}

//using

$file = $_GET['fileurl'];
download_file($file);

?>
